package de.frajul.endlessroll.entities.collision.collisionData;

/**
 * Created by Julian on 05.12.2015.
 */
public class PlayerCollisionData {

    private EntityCollisionData terrainCollision;
    private EntityCollisionData ceilingCollision;
    private ObstacleCollisionData obstacleCollision;
    private ToolCollisionData toolCollision;
    private EntityCollisionData starCollision;
    private EntityCollisionData energyCollision;

    public PlayerCollisionData(EntityCollisionData terrainCollision, EntityCollisionData ceilingCollision, ObstacleCollisionData obstacleCollision, ToolCollisionData toolCollision, EntityCollisionData starCollision, EntityCollisionData energyCollision) {
        this.terrainCollision = terrainCollision;
        this.ceilingCollision = ceilingCollision;
        this.obstacleCollision = obstacleCollision;
        this.toolCollision = toolCollision;
        this.starCollision = starCollision;
        this.energyCollision = energyCollision;
    }

    public boolean isTerrainCollision() {
        return terrainCollision.isCollision();
    }

    public EntityCollisionData getTerrainCollisionData() {
        return terrainCollision;
    }

    public boolean isCeilingCollision() {
        return ceilingCollision.isCollision();
    }

    public EntityCollisionData getCeilingCollisionData() {
        return ceilingCollision;
    }

    public boolean isObstacleCollision() {
        return obstacleCollision.isCollision();
    }

    public ObstacleCollisionData getObstacleCollisionData() {
        return obstacleCollision;
    }

    public boolean isToolCollision() {
        return toolCollision.isCollision();
    }

    public ToolCollisionData getToolCollisionData() {
        return toolCollision;
    }

    public boolean isStarCollision() {
        return starCollision.isCollision();
    }

    public EntityCollisionData getStarCollisionData() {
        return starCollision;
    }

    public boolean isEnergyCollision() {
        return energyCollision.isCollision();
    }

    public EntityCollisionData getEnergyCollisionData() {
        return energyCollision;
    }
}
